Bug 234833 - Evo crashes when reading mail
Evo crashes when reading mail
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: evolution (Show other bugs)
6
All Linux
low Severity medium
: ---
: ---
Assigned To: Matthew Barnes
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-04-02 10:11 EDT by Bastien Nocera
Modified: 2008-08-02 19:40 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-25 08:54:23 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bastien Nocera 2007-04-02 10:11:49 EDT
Nothing special, just reading mail from an IMAP folder.

evolution-2.8.3-2.fc6
evolution-data-server-1.8.3-4.fc6

Backtrace was generated from '/usr/bin/evolution'

Using host libthread_db library "/lib64/libthread_db.so.1".
[Thread debugging using libthread_db enabled]
[New Thread 46912514739888 (LWP 27261)]
[New Thread 1157925184 (LWP 27280)]
[New Thread 1157658944 (LWP 27274)]
[New Thread 1115699520 (LWP 27273)]
[New Thread 1136679232 (LWP 27270)]
[New Thread 1126189376 (LWP 27269)]
[New Thread 1105209664 (LWP 27267)]
[New Thread 1094719808 (LWP 27266)]
[New Thread 1084229952 (LWP 27264)]
0x00000033d54c4a36 in poll () from /lib64/libc.so.6
#0  0x00000033d54c4a36 in poll () from /lib64/libc.so.6
#1  0x0000003d7f84a7e0 in XAddConnectionWatch () from /usr/lib64/libX11.so.6
#2  0x0000003d7f84ac09 in _XRead () from /usr/lib64/libX11.so.6
#3  0x0000003d7f84b601 in _XReply () from /usr/lib64/libX11.so.6
#4  0x0000003d7f83d1d6 in XQueryPointer () from /usr/lib64/libX11.so.6
#5  0x00000030d585c526 in gdk_window_lookup_for_display ()
   from /usr/lib64/libgdk-x11-2.0.so.0
#6  0x00000030d5830cad in gdk_window_get_pointer ()
   from /usr/lib64/libgdk-x11-2.0.so.0
#7  0x00000030d5d4d8b6 in gtk_notebook_new ()
   from /usr/lib64/libgtk-x11-2.0.so.0
#8  0x00000030d5d3266d in gtk_marshal_BOOLEAN__VOID ()
   from /usr/lib64/libgtk-x11-2.0.so.0
#9  0x0000003d7fc0af19 in g_closure_invoke () from /lib64/libgobject-2.0.so.0
#10 0x0000003d7fc1ad98 in g_signal_chain_from_overridden ()
   from /lib64/libgobject-2.0.so.0
#11 0x0000003d7fc1b99d in g_signal_emit_valist ()
   from /lib64/libgobject-2.0.so.0
#12 0x0000003d7fc1bda3 in g_signal_emit () from /lib64/libgobject-2.0.so.0
#13 0x00000030d5e303ae in gtk_widget_get_default_style ()
   from /usr/lib64/libgtk-x11-2.0.so.0
#14 0x00000030d5d2bc7d in gtk_propagate_event ()
   from /usr/lib64/libgtk-x11-2.0.so.0
#15 0x00000030d5d2cc91 in gtk_main_do_event ()
   from /usr/lib64/libgtk-x11-2.0.so.0
#16 0x00000030d58467ec in gdk_add_client_message_filter ()
   from /usr/lib64/libgdk-x11-2.0.so.0
#17 0x0000003d7f42cf64 in g_main_context_dispatch ()
   from /lib64/libglib-2.0.so.0
#18 0x0000003d7f42fd9d in g_main_context_check () from /lib64/libglib-2.0.so.0
#19 0x0000003d7f4300aa in g_main_loop_run () from /lib64/libglib-2.0.so.0
#20 0x0000003d86a2d0e6 in bonobo_main () from /usr/lib64/libbonobo-2.so.0
#21 0x000000000041596d in main (argc=2, argv=0x7fffdc096a28) at main.c:616
#22 0x00000033d541da44 in __libc_start_main () from /lib64/libc.so.6
#23 0x0000000000409c09 in _start ()

Thread 9 (Thread 1084229952 (LWP 27264)):
#0  0x00000033d600a416 in pthread_cond_wait@@GLIBC_2.3.2 ()
   from /lib64/libpthread.so.0
No symbol table info available.
#1  0x0000003d7f4111c5 in g_async_queue_sort () from /lib64/libglib-2.0.so.0
No symbol table info available.
#2  0x00000030daa14d0c in e_msgport_wait (msgport=0x725090) at e-msgport.c:694
	msg = <value optimized out>
	__PRETTY_FUNCTION__ = "e_msgport_wait"
#3  0x00000030daa152bc in thread_dispatch (din=<value optimized out>)
    at e-msgport.c:1073
	e = (EThread *) 0x782160
	m = (EMsg *) 0x0
	info = <value optimized out>
	self = 1084229952
#4  0x00000033d6006305 in start_thread () from /lib64/libpthread.so.0
No symbol table info available.
#5  0x00000033d54cd50d in clone () from /lib64/libc.so.6
No symbol table info available.
#6  0x0000000000000000 in ?? ()
No symbol table info available.

Thread 8 (Thread 1094719808 (LWP 27266)):
#0  0x00000033d54c4a36 in poll () from /lib64/libc.so.6
No symbol table info available.
#1  0x0000003d7f42fbee in g_main_context_check () from /lib64/libglib-2.0.so.0
No symbol table info available.
#2  0x0000003d7f4300aa in g_main_loop_run () from /lib64/libglib-2.0.so.0
No symbol table info available.
#3  0x0000003d8d603413 in libnm_glib_init () from /usr/lib64/libnm_glib.so.0
No symbol table info available.
#4  0x0000003d7f4490f4 in g_thread_create_full () from /lib64/libglib-2.0.so.0
No symbol table info available.
#5  0x00000033d6006305 in start_thread () from /lib64/libpthread.so.0
No symbol table info available.
#6  0x00000033d54cd50d in clone () from /lib64/libc.so.6
No symbol table info available.
#7  0x0000000000000000 in ?? ()
No symbol table info available.

Thread 7 (Thread 1105209664 (LWP 27267)):
#0  0x00000033d600a416 in pthread_cond_wait@@GLIBC_2.3.2 ()
   from /lib64/libpthread.so.0
No symbol table info available.
#1  0x0000003d7f4111c5 in g_async_queue_sort () from /lib64/libglib-2.0.so.0
No symbol table info available.
#2  0x00000030daa14d0c in e_msgport_wait (msgport=0xcf90a0) at e-msgport.c:694
	msg = <value optimized out>
	__PRETTY_FUNCTION__ = "e_msgport_wait"
#3  0x00000030daa152bc in thread_dispatch (din=<value optimized out>)
    at e-msgport.c:1073
	e = (EThread *) 0xd921e0
	m = (EMsg *) 0x0
	info = <value optimized out>
	self = 1105209664
#4  0x00000033d6006305 in start_thread () from /lib64/libpthread.so.0
No symbol table info available.
#5  0x00000033d54cd50d in clone () from /lib64/libc.so.6
No symbol table info available.
#6  0x0000000000000000 in ?? ()
No symbol table info available.

Thread 6 (Thread 1126189376 (LWP 27269)):
#0  0x00000033d600a416 in pthread_cond_wait@@GLIBC_2.3.2 ()
   from /lib64/libpthread.so.0
No symbol table info available.
#1  0x0000003d7f4111c5 in g_async_queue_sort () from /lib64/libglib-2.0.so.0
No symbol table info available.
#2  0x00000030daa14d0c in e_msgport_wait (msgport=0x725030) at e-msgport.c:694
	msg = <value optimized out>
	__PRETTY_FUNCTION__ = "e_msgport_wait"
#3  0x00000030daa152bc in thread_dispatch (din=<value optimized out>)
    at e-msgport.c:1073
	e = (EThread *) 0x77fe10
	m = (EMsg *) 0x0
	info = <value optimized out>
	self = 1126189376
#4  0x00000033d6006305 in start_thread () from /lib64/libpthread.so.0
No symbol table info available.
#5  0x00000033d54cd50d in clone () from /lib64/libc.so.6
No symbol table info available.
#6  0x0000000000000000 in ?? ()
No symbol table info available.

Thread 5 (Thread 1136679232 (LWP 27270)):
#0  0x00000033d600a416 in pthread_cond_wait@@GLIBC_2.3.2 ()
   from /lib64/libpthread.so.0
No symbol table info available.
#1  0x0000003d7f4111c5 in g_async_queue_sort () from /lib64/libglib-2.0.so.0
No symbol table info available.
#2  0x00000030daa14d0c in e_msgport_wait (msgport=0x725000) at e-msgport.c:694
	msg = <value optimized out>
	__PRETTY_FUNCTION__ = "e_msgport_wait"
#3  0x00000030daa152bc in thread_dispatch (din=<value optimized out>)
    at e-msgport.c:1073
	e = (EThread *) 0x781e80
	m = (EMsg *) 0x0
	info = <value optimized out>
	self = 1136679232
#4  0x00000033d6006305 in start_thread () from /lib64/libpthread.so.0
No symbol table info available.
#5  0x00000033d54cd50d in clone () from /lib64/libc.so.6
No symbol table info available.
#6  0x0000000000000000 in ?? ()
No symbol table info available.

Thread 4 (Thread 1115699520 (LWP 27273)):
#0  0x00000033d600a416 in pthread_cond_wait@@GLIBC_2.3.2 ()
   from /lib64/libpthread.so.0
No symbol table info available.
#1  0x0000003d7f4111c5 in g_async_queue_sort () from /lib64/libglib-2.0.so.0
No symbol table info available.
#2  0x00000030daa14d0c in e_msgport_wait (msgport=0x725090) at e-msgport.c:694
	msg = <value optimized out>
	__PRETTY_FUNCTION__ = "e_msgport_wait"
#3  0x00000030daa152bc in thread_dispatch (din=<value optimized out>)
    at e-msgport.c:1073
	e = (EThread *) 0x782160
	m = (EMsg *) 0x0
	info = <value optimized out>
	self = 1115699520
#4  0x00000033d6006305 in start_thread () from /lib64/libpthread.so.0
No symbol table info available.
#5  0x00000033d54cd50d in clone () from /lib64/libc.so.6
No symbol table info available.
#6  0x0000000000000000 in ?? ()
No symbol table info available.

Thread 3 (Thread 1157658944 (LWP 27274)):
#0  0x00000033d600d96f in waitpid () from /lib64/libpthread.so.0
No symbol table info available.
#1  0x00000030d6e56d07 in gnome_gtk_module_info_get ()
   from /usr/lib64/libgnomeui-2.so.0
No symbol table info available.
#2  <signal handler called>
No symbol table info available.
#3  0x00000033d440d851 in _dl_debug_state () from /lib64/ld-linux-x86-64.so.2
No symbol table info available.
#4  0x00000033d440616d in _dl_map_object_from_fd ()
   from /lib64/ld-linux-x86-64.so.2
No symbol table info available.
#5  0x00000033d4407d9c in _dl_map_object () from /lib64/ld-linux-x86-64.so.2
No symbol table info available.
#6  0x00000033d441094f in dl_open_worker () from /lib64/ld-linux-x86-64.so.2
No symbol table info available.
#7  0x00000033d440cd26 in _dl_catch_error () from /lib64/ld-linux-x86-64.so.2
No symbol table info available.
#8  0x00000033d441045c in _dl_open () from /lib64/ld-linux-x86-64.so.2
No symbol table info available.
#9  0x00000033d5c010ba in dlopen_doit () from /lib64/libdl.so.2
No symbol table info available.
#10 0x00000033d440cd26 in _dl_catch_error () from /lib64/ld-linux-x86-64.so.2
No symbol table info available.
#11 0x00000033d5c0162d in _dlerror_run () from /lib64/libdl.so.2
No symbol table info available.
#12 0x00000033d5c01031 in dlopen@@GLIBC_2.2.5 () from /lib64/libdl.so.2
No symbol table info available.
#13 0x0000003d80401671 in g_module_open () from /lib64/libgmodule-2.0.so.0
No symbol table info available.
#14 0x00002aaaaba31cc2 in epl_loadmodule (ep=<value optimized out>)
    at e-plugin.c:838
	enable = <value optimized out>
#15 0x00002aaaaba31e15 in epl_invoke (ep=0x42, 
    name=0x7a3aa0 "org_gnome_prefer_plain_multipart_alternative", 
    data=0x45006e20) at e-plugin.c:866
	cb = <value optimized out>
#16 0x00002aaab1239c09 in emfh_format_format (md=<value optimized out>, 
    stream=<value optimized out>, part=<value optimized out>, 
    info=0x33d461ad20) at em-format-hook.c:78
	target = {format = 0xe33000, stream = 0x116c1a8, part = 0x11c44d0, 
  item = 0x7a3a40}
#17 0x00002aaab1244a22 in em_format_part_as (emf=0xe33000, stream=0x116c1a8, 
    part=0x11c44d0, mime_type=0x2aaabea8a9c0 "multipart/alternative")
    at em-format.c:583
	handle = (const EMFormatHandler *) 0x7a3a40
	snoop_save = 0x0
	tmp = <value optimized out>
	base_save = (CamelURL *) 0x0
	base = (CamelURL *) 0x0
	basestr = 0x0
#18 0x00002aaab1245282 in em_format_part (emf=0xe33000, stream=0x116c1a8, 
    part=0x11c44d0) at em-format.c:610
	mime_type = 0x2aaabea8a9c0 "multipart/alternative"
	dw = <value optimized out>
#19 0x00002aaab12416bc in efh_multipart_related (emf=0xe33000, 
    stream=0x116c1a8, part=0x116b628, info=<value optimized out>)
    at em-format-html.c:1099
	mp = (CamelMultipart *) 0x11bee90
	body_part = (CamelMimePart *) 0x2aaabeae7600
	display_part = (CamelMimePart *) 0x11c44d0
	content_type = <value optimized out>
	start = 0x2aaabeae7600 "°0Ú"
	i = 3
	nparts = 3
	partidlen = <value optimized out>
	displayid = 0
	job = <value optimized out>
#20 0x00002aaab1244a22 in em_format_part_as (emf=0xe33000, stream=0x116c1a8, 
    part=0x116b628, mime_type=0x2aaabeafd2b0 "multipart/related")
    at em-format.c:583
	handle = (const EMFormatHandler *) 0x2aaab14b1bc0
	snoop_save = 0x0
	tmp = <value optimized out>
	base_save = (CamelURL *) 0x0
	base = (CamelURL *) 0x0
	basestr = 0x0
#21 0x00002aaab1245282 in em_format_part (emf=0xe33000, stream=0x116c1a8, 
    part=0x116b628) at em-format.c:610
	mime_type = 0x2aaabeafd2b0 "multipart/related"
	dw = <value optimized out>
#22 0x00002aaab12411c0 in efh_format_message (emf=0xe33000, stream=0x116c1a8, 
    part=0x116b628, info=<value optimized out>) at em-format-html.c:1850
	handle = <value optimized out>
	save = (CamelCipherValidity *) 0x0
	save_parent = (CamelCipherValidity *) 0x0
#23 0x00002aaab1240100 in efh_format_do (mm=<value optimized out>)
    at em-format-html.c:1227
	handle = (const EMFormatHandler *) 0x0
	m = (struct _format_msg *) 0x2aaab4ed7a00
	job = <value optimized out>
	puri_level = <value optimized out>
	cancelled = <value optimized out>
	base = <value optimized out>
#24 0x00002aaab125f521 in mail_msg_received (e=<value optimized out>, 
    msg=<value optimized out>, data=<value optimized out>) at mail-mt.c:582
	text = 0x2aaabea64860 ".0x17db950.5887"
	m = (mail_msg_t *) 0x2aaab4ed7a00
#25 0x00000030daa15272 in thread_dispatch (din=<value optimized out>)
    at e-msgport.c:1025
	e = (EThread *) 0x782160
	m = (EMsg *) 0x2aaab4ed7a00
	info = <value optimized out>
	self = 1157658944
#26 0x00000033d6006305 in start_thread () from /lib64/libpthread.so.0
No symbol table info available.
#27 0x00000033d54cd50d in clone () from /lib64/libc.so.6
No symbol table info available.
#28 0x0000000000000000 in ?? ()
No symbol table info available.

Thread 2 (Thread 1157925184 (LWP 27280)):
#0  0x00000033d54c4a36 in poll () from /lib64/libc.so.6
No symbol table info available.
#1  0x0000003d7f42fbee in g_main_context_check () from /lib64/libglib-2.0.so.0
No symbol table info available.
#2  0x0000003d7f4300aa in g_main_loop_run () from /lib64/libglib-2.0.so.0
No symbol table info available.
#3  0x0000003d84a458f0 in link_set_io_thread ()
   from /usr/lib64/libORBit-2.so.0
No symbol table info available.
#4  0x0000003d7f4490f4 in g_thread_create_full () from /lib64/libglib-2.0.so.0
No symbol table info available.
#5  0x00000033d6006305 in start_thread () from /lib64/libpthread.so.0
No symbol table info available.
#6  0x00000033d54cd50d in clone () from /lib64/libc.so.6
No symbol table info available.
#7  0x0000000000000000 in ?? ()
No symbol table info available.

Thread 1 (Thread 46912514739888 (LWP 27261)):
#0  0x00000033d54c4a36 in poll () from /lib64/libc.so.6
No symbol table info available.
#1  0x0000003d7f84a7e0 in XAddConnectionWatch () from /usr/lib64/libX11.so.6
No symbol table info available.
#2  0x0000003d7f84ac09 in _XRead () from /usr/lib64/libX11.so.6
No symbol table info available.
#3  0x0000003d7f84b601 in _XReply () from /usr/lib64/libX11.so.6
No symbol table info available.
#4  0x0000003d7f83d1d6 in XQueryPointer () from /usr/lib64/libX11.so.6
No symbol table info available.
#5  0x00000030d585c526 in gdk_window_lookup_for_display ()
   from /usr/lib64/libgdk-x11-2.0.so.0
No symbol table info available.
#6  0x00000030d5830cad in gdk_window_get_pointer ()
   from /usr/lib64/libgdk-x11-2.0.so.0
No symbol table info available.
#7  0x00000030d5d4d8b6 in gtk_notebook_new ()
   from /usr/lib64/libgtk-x11-2.0.so.0
No symbol table info available.
#8  0x00000030d5d3266d in gtk_marshal_BOOLEAN__VOID ()
   from /usr/lib64/libgtk-x11-2.0.so.0
No symbol table info available.
#9  0x0000003d7fc0af19 in g_closure_invoke () from /lib64/libgobject-2.0.so.0
No symbol table info available.
#10 0x0000003d7fc1ad98 in g_signal_chain_from_overridden ()
   from /lib64/libgobject-2.0.so.0
No symbol table info available.
#11 0x0000003d7fc1b99d in g_signal_emit_valist ()
   from /lib64/libgobject-2.0.so.0
No symbol table info available.
#12 0x0000003d7fc1bda3 in g_signal_emit () from /lib64/libgobject-2.0.so.0
No symbol table info available.
#13 0x00000030d5e303ae in gtk_widget_get_default_style ()
   from /usr/lib64/libgtk-x11-2.0.so.0
No symbol table info available.
#14 0x00000030d5d2bc7d in gtk_propagate_event ()
   from /usr/lib64/libgtk-x11-2.0.so.0
No symbol table info available.
#15 0x00000030d5d2cc91 in gtk_main_do_event ()
   from /usr/lib64/libgtk-x11-2.0.so.0
No symbol table info available.
#16 0x00000030d58467ec in gdk_add_client_message_filter ()
   from /usr/lib64/libgdk-x11-2.0.so.0
No symbol table info available.
#17 0x0000003d7f42cf64 in g_main_context_dispatch ()
   from /lib64/libglib-2.0.so.0
No symbol table info available.
#18 0x0000003d7f42fd9d in g_main_context_check () from /lib64/libglib-2.0.so.0
No symbol table info available.
#19 0x0000003d7f4300aa in g_main_loop_run () from /lib64/libglib-2.0.so.0
No symbol table info available.
#20 0x0000003d86a2d0e6 in bonobo_main () from /usr/lib64/libbonobo-2.so.0
No symbol table info available.
#21 0x000000000041596d in main (argc=2, argv=0x7fffdc096a28) at main.c:616
	fd = <value optimized out>
	uri_list = (GSList *) 0x0
	program = (GnomeProgram *) 0x62d010
	context = <value optimized out>
	icon_list = <value optimized out>
#22 0x00000033d541da44 in __libc_start_main () from /lib64/libc.so.6
No symbol table info available.
#23 0x0000000000409c09 in _start ()
No symbol table info available.
#0  0x00000033d54c4a36 in poll () from /lib64/libc.so.6


----------- .xsession-errors ---------------------
(evolution:27261): Gtk-CRITICAL **: gtk_check_menu_item_set_active: assertion
`GTK_IS_CHECK_MENU_ITEM (check_menu_item)' failed
(evolution:27261): Gtk-CRITICAL **: gtk_check_menu_item_set_active: assertion
`GTK_IS_CHECK_MENU_ITEM (check_menu_item)' failed
(evolution:27261): Gtk-CRITICAL **: gtk_check_menu_item_set_active: assertion
`GTK_IS_CHECK_MENU_ITEM (check_menu_item)' failed
Xlib: unexpected async reply (sequence 0xb77dd)!
** (bug-buddy:23866): WARNING **: Couldn't load icon for Open Folder
warning: the debug information found in
"/usr/lib/debug//usr/lib64/gtk-2.0/2.10.0/loaders/libpixbufloader-xpm.so.debug"
does not match "/usr/lib64/gtk-2.0/2.10.0/loaders/libpixbufloader-xpm.so" (CRC m
warning: the debug information found in
"/usr/lib/debug//usr/lib64/gtk-2.0/2.10.0/loaders/libpixbufloader-png.so.debug"
does not match "/usr/lib64/gtk-2.0/2.10.0/loaders/libpixbufloader-png.so" (CRC m
--------------------------------------------------
Comment 1 Matthew Barnes 2007-04-02 10:45:47 EDT
Frame 15 in Thread 3 looks like the culprit:

#15 0x00002aaaaba31e15 in epl_invoke (ep=0x42, 
    name=0x7a3aa0 "org_gnome_prefer_plain_multipart_alternative", 
    data=0x45006e20) at e-plugin.c:866

Called from mail/em-format-hook.c:emfh_format_format():

    e_plugin_invoke(item->hook->hook.plugin, item->format, &target);

item->hook->hook must have been NULL somehow.

Good opportunity to learn the plugin system, I guess.  Investigating...
Comment 2 Matthew Barnes 2007-10-04 23:50:14 EDT
I think I remember something like this being fixed upstream.  Have been you seen
any similar crashes recently?
Comment 3 Matěj Cepl 2007-12-10 16:48:13 EST
Fedora Core 6 is no longer supported, could you please reproduce this with the
updated version of the currently supported distribution (Fedora 7, 8, or
Rawhide)? If this issue turns out to still be reproducible, please let us know
in this bug report. If after a month's time we have not heard back from you, we
will have to close this bug as CANTFIX.

Setting status to NEEDINFO, and awaiting information from the reporter.

[This is mass-filed message to all open Fedora Core 6 bugs related to Evolution.
If you see any other reason, why this bug shouldn't be closed, please,
comment on it here.]
Comment 4 Matěj Cepl 2008-01-09 17:53:31 EST
Hadess?
Comment 5 Bastien Nocera 2008-01-25 08:54:23 EST
Haven't seen crashes in Evo for a good while :) Thanks

Note You need to log in before you can comment on or make changes to this bug.